Skip to main content
GET
/
v1
/
accounting
/
snapshot
Download an accounting snapshot (ZIP of CSVs)
curl --request GET \
  --url https://data-api.polymarket.com/v1/accounting/snapshot
import requests

url = "https://data-api.polymarket.com/v1/accounting/snapshot"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://data-api.polymarket.com/v1/accounting/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"error": "<string>"
}
{
"error": "<string>"
}

Query Parameters

user
string
required

User address (0x-prefixed) User Profile Address (0x-prefixed, 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x56687bf447db6ffa42ffe2204a05edaa20f55839"

Response

ZIP file containing positions.csv and equity.csv.

The response is of type file.